%define pypi_name plyer
%define python_name python3-%{pypi_name}
Name:           python-%{pypi_name}
Version:        2.2.0.dev0
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        A platform-independent Python API for accessing hardwarefeatures of various platforms (Android, iOS, macOS, Linux and Windows)

# Check if the automatically generated License and its spelling is correct for Fedora
# https://docs.fedoraproject.org/en-US/packaging-guidelines/LicensingGuidelines/
License:        MIT
URL:            https://plyer.readthedocs.org/en/latest/
Source:         plyer-%{version}.tar.gz

BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel
BuildRequires:  fdupes
BuildArch:      noarch

# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
A platform-independent Python API for accessing hardwarefeatures of various platforms (Android, iOS, macOS, Linux and Windows).}

%description %_description

%package -n %{python_name}
Summary:        %{summary}

%description -n %{python_name} %_description
# For official Fedora packages, review which extras should be actually packaged
# See: https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/#Extras
%pyproject_extras_subpkg -n %{python_name} android,dev,ios,macosx

%prep
%autosetup -p1 -n plyer-%{version}


%generate_buildrequires
# Keep only those extras which you actually want to package or use during tests
%pyproject_buildrequires -x android,dev,ios,macosx


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto

%files -n %{python_name} -f %{pyproject_files}

%changelog
%autochangelog

